# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth-bikeroar/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-bikeroar"
  spec.version       = Omniauth::Bikeroar::VERSION
  spec.authors       = ["Bikeroar"]
  spec.email         = ["bikeroar@bikeroar.com"]

  spec.summary       = %q{OmniAuth strategy for Bikeroar.}
  spec.description   = %q{OmniAuth strategy for Bikeroar.}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'omniauth', '~> 1.0'
  # https://github.com/intridea/omniauth-oauth2/issues/81
  spec.add_dependency 'omniauth-oauth2', '1.3.1'


  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
